/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
 * This is GNU GO, a Go program. Contact gnugo@gnu.org, or see   *
 * http://www.gnu.org/software/gnugo/ for more information.      *
 *                                                               *
 * Copyright 1999 and 2000 by the Free Software Foundation.      *
 *                                                               *
 * This program is free software; you can redistribute it and/or *
 * modify it under the terms of the GNU General Public License   *
 * as published by the Free Software Foundation - version 2.     *
 *                                                               *
 * This program is distributed in the hope that it will be       *
 * useful, but WITHOUT ANY WARRANTY; without even the implied    *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR       *
 * PURPOSE.  See the GNU General Public License in file COPYING  *
 * for more details.                                             *
 *                                                               *
 * You should have received a copy of the GNU General Public     *
 * License along with this program; if not, write to the Free    *
 * Software Foundation, Inc., 59 Temple Place - Suite 330,       *
 * Boston, MA 02111, USA                                         *
\* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#ifdef CURSES

#include "display.h"
#include "gui.h"
#include "liberty.h"


void
prepare_strings_tab()
{
  wmove(info_window, 2, 2);
  wprintw(info_window, "String at       origin: ");

  wmove(info_window, 4, 2);
  wprintw(info_window, "color:          ");
  wmove(info_window, 5, 2);
  wprintw(info_window, "size:           ");
  wmove(info_window, 6, 2);
  wprintw(info_window, "effective size: ");

  wmove(info_window, 8, 2);
  wprintw(info_window, "liberties:      ");
  wmove(info_window, 9, 2);
  wprintw(info_window, "liberties2:     ");
  wmove(info_window, 10, 2);
  wprintw(info_window, "liberties3:     ");
  wmove(info_window, 11, 2);
  wprintw(info_window, "liberties4:     ");


  wmove(info_window, 4, 42);
  wprintw(info_window, "attack:          ");
  wmove(info_window, 5, 42);
  wprintw(info_window, "defense:         ");
  wmove(info_window, 6, 42);
  wprintw(info_window, "lunch: ");

  wmove(info_window, 8, 42);
  wprintw(info_window, "cutstone:        ");
  wmove(info_window, 9, 42);
  wprintw(info_window, "cutstone2:       ");
  wmove(info_window, 10, 42);
  wprintw(info_window, "genus:           ");

  wrefresh(info_window);
}


void
display_string(Position *pos, int i, int j)
{
  wmove(info_window, 2, 12);
  wprintw(info_window, "%s ", location_to_string(i, j));

  wmove(info_window, 2, 27);
  wprintw(info_window, "%s ", 
	  location_to_string(worm[i][j].origini,
			     worm[i][j].originj));

  wmove(info_window, 4, 18);
  wprintw(info_window, "%s", color_to_string(pos->board[i][j]));
  wmove(info_window, 5, 18);
  wprintw(info_window, "%d   ", worm[i][j].size);
  wmove(info_window, 6, 18);
  wprintw(info_window, "%5f  ", worm[i][j].effective_size);

  wmove(info_window, 8, 18);
  wprintw(info_window, "%3d", worm[i][j].liberties);
  wmove(info_window, 9, 18);
  wprintw(info_window, "%3d", worm[i][j].liberties2);
  wmove(info_window, 10, 18);
  wprintw(info_window, "%3d", worm[i][j].liberties3);
  wmove(info_window, 11, 18);
  wprintw(info_window, "%3d", worm[i][j].liberties4);


  wmove(info_window, 4, 58);
  if (worm[i][j].attacki == -1)
    wprintw(info_window, "---          ");
  else
    wprintw(info_window, "%3s [code %d]", 
	    location_to_string(worm[i][j].attacki,
			       worm[i][j].attackj),
	    worm[i][j].attack_code);
  

  wmove(info_window, 5, 58);
  if (worm[i][j].defendi == -1)
    wprintw(info_window, "---          ");
  else
    wprintw(info_window, "%3s [code %d]", 
	    location_to_string(worm[i][j].defendi,
			       worm[i][j].defendj),
	    worm[i][j].defend_code);

  wmove(info_window, 6, 58);
  if (worm[i][j].lunchi == -1)
    wprintw(info_window, "---");
  else
    wprintw(info_window, "%3s", 
	    location_to_string(worm[i][j].lunchi,
			       worm[i][j].lunchj));

  wmove(info_window, 8, 58);
  wprintw(info_window, "%d", worm[i][j].cutstone);
  wmove(info_window, 9, 58);
  wprintw(info_window, "%d", worm[i][j].cutstone2);
  wmove(info_window, 10, 58);
  wprintw(info_window, "%d", worm[i][j].genus);

  wrefresh(info_window);
}


void
prepare_dragons_tab()
{
  wmove(info_window, 2, 2);
  wprintw(info_window, "Dragon info not yet implemented.");

  wrefresh(info_window);
}


void
prepare_eyes_tab()
{
  wmove(info_window, 2, 2);
  wprintw(info_window, "Eye info not yet implemented.");

  wrefresh(info_window);
}

#endif /* CURSES */

/*
 * Local Variables:
 * tab-width: 8
 * c-basic-offset: 2
 * End:
 */
